aboutsummaryrefslogtreecommitdiffstats
path: root/rc.d
diff options
context:
space:
mode:
Diffstat (limited to 'rc.d')
-rwxr-xr-xrc.d/init.d/network9
1 files changed, 9 insertions, 0 deletions
diff --git a/rc.d/init.d/network b/rc.d/init.d/network
index 92da47db..7e4b2b1b 100755
--- a/rc.d/init.d/network
+++ b/rc.d/init.d/network
@@ -167,6 +167,15 @@ stop)
exit 1
fi
+ # Don't shut the network down when shutting down the system if configured
+ # as such in sysconfig
+ if is_false "$IFDOWN_ON_SHUTDOWN"; then
+ if systemctl is-system-running | grep -q 'stopping'; then
+ net_log $"system is shutting down, leaving interfaces up as requested"
+ exit 1
+ fi
+ fi
+
vlaninterfaces=""
vpninterfaces=""
xdslinterfaces=""